Create payoutCopy Pagepost https://gw.payracks.com/api/direct-processRecent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Body Paramsrequest with card data(aes-256-cbc encrypted)request with card token and customer tokenrequest with card data(unencrypted)and customer dataand customer tokencustomer_dataobjectrequiredHASH value of customer's identity. Note: Either customer_token or customer_data must be provided. If both are missing, the request will trigger a validation error.customer data objectcard_dataobjectrequiredCard Data properties - applicable for sale, payout, authorization Note: If you're using the Sandbox2.0 environment, you can provide plain, unencrypted card data directly as provided in the example below. However, in all other cases, the card_data field must contain encrypted values as specified in the schema.card_data objectmerchant_idstringrequiredlength ≤ 50Merchant API client account identifier.application_keystringrequiredlength ≤ 32Identifier of your application (website).versionstringrequiredlength ≤ 3API version.timestampintegerrequiredRequest time (unix timestamp, seconds).transaction_typestringrequiredlength ≤ 16Transaction type.gatewaystringrequiredlength ≤ 32Gateway doing the processing.device_dataobjectThe device data (also known as device fingerprint) is essential for supporting 3DSv2 - the advanced 3D Secure verification flow. If you plan to process credit card payments using the Direct API, it is strongly recommended to include device data in your requests to ensure better compatibility and security.device data objectwithdrawal_request_idintegerOriginal transaction identifier from. Send the tid of withdrawal request if you want the payout amount to be deducted from withdrawal request as processed.currencystringrequiredlength ≤ 10Base Currency: The user's account currency on the merchant site.amountintegerrequiredTransaction amount in cents. Note: For certain currencies there is a fraction other than 100 cents per unit, this is important if you multiply by 100 to send the amount in cents.cidstringrequiredlength ≤ 50Unique customer id in your system. Note: Personally Identifiable Information (PII), such as email addresses, is strictly forbidden. If your user identifier contains any PII, you must hash or encrypt it before sending it to the API.localestringenumrequiredlength ≤ 5User locale, specified as a BCP 47 Language Tag (e.g., 'en-GB'). The first component is the ISO 639-1 language code, and the second is the ISO 3166-1 country code. Note: Contact [email protected] to add new locale if not available in the list.en-GBar-SAcs-CZzh-CNzh-TWnl-NLen-GBtl-PHfi-FIfr-FRde-DEel-GRhe-ILhi-INhu-HUit-ITid-IDja-JPko-KRlt-LTms-MYpl-PLpt-PTru-RUsk-SKes-ESsv-SEth-THtr-TRvi-VNhy-AMbg-BGkh-KHda-DKet-EEka-GElv-LVnb-NOsr-RSsl-SIta-INuk-UAsq-ALShow 42 enum valuesorder_idstringrequiredlength ≤ 50Transaction or session identifier in your system.notification_urlstringrequiredlength ≤ 256URL to which the deposit status notification will be sent.return_urlstringrequiredlength ≤ 256User will be redirected to a specified URL(relevant for cashier login, virtual terminal, 3D Secure and E-Wallet login redirect).variable1stringlength ≤ 256Your custom field to tag the transaction with some necessary information.variable2stringlength ≤ 256Your custom field to tag the transaction with some necessary information.variable3stringlength ≤ 256Your custom field to tag the transaction with some necessary information.Headersgt-authenticationstringrequiredAuthentication HTTP header of your outgoing request to the API. Below request parameters should be used for creating signature in request header. merchant_id application_key timestamp transaction_type cid order_id currency amount gateway notification_url return_url card_data.card_number or card_token card_data.hpf_auth_token(in case of HPF) Responses 200OK - Successful response 400Bad request - Missing signature 403Forbidden request - IP address not whitelistedUpdated 20 days ago